help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: CFEngine compile error @ Cygwin


From: Erik ten Napel
Subject: RE: CFEngine compile error @ Cygwin
Date: Wed, 03 Aug 2005 16:47:05 +0200

The problem is solved.
I searched&replaced MOUNT_RO with something else in all source files of the CFEngine source. After that it compiled without errors.
cfengine-2.1.15.tar.gz at CygWin (1.5.18) with db4.1.

I hope it will be stable.

Erik


From: "Erik ten Napel" <address@hidden>
To: address@hidden
Subject: CFEngine compile error @ Cygwin
Date: Thu, 28 Jul 2005 16:29:01 +0200

Hi,

I'm quite a newbie with CFEngine.

I did succesfully install CFEngine on several Linux servers. I like the way CFEngine works. Now I want to install it on our Windows servers.

I've next problem:
The compile of CFEngine on Cygwin gives a error while executing the make command.

I did do next steps:
I first tried to install CFEngine on my DeskTop computer.
There already was installed a version of CygWin (1.5.18) to have a X monitor to redirect the video output from Linux servers. But the install was not sufficient to install CFEngine. I downloaded a new more complete version of CygWin (gcc libs and more). With that I was able to install all needed components of CygWin. First I downloaded db-3.2.9.tar.gz to install BerkeleyDB 3.2.9. This version couldn't compile.
Error:
../dist/../env/env_open.c:550: warning: passing arg 1 of `__cygwin_lock_fini' from incompatible pointer type ../dist/../env/env_open.c:550: error: void value not ignored as it ought to be

Because of that I downloaded db-4.3.28.tar.gz. That version compiled without problems.

Next step was to install CFEngine. I wanted to installed cfengine-2.1.15.tar.gz. It didn't compile.
error:
cf.extern.h:272: error: 'MOUNT_RO' redeclared as different kind of symbol
/usr/include/sys/mount.h:34: error: previous definition of 'MOUNT_RO' was here

My first idea was that the BerkeleyDB version was to high. I tried to install db-3.3.11.tar.gz, but that did give the same error as 3.2.9.

I found a install document for CFEngine on Windows on the internet that uses the BerkeleyDB 4.1 that is delivered with CygWin. I downloaded that CygWin part and installed that too. The compile of CFEngine still used BerkeleyDB 4.3. I deinstalled BerkeleyDB 4.3. After that it used the 4.1 version of CygWin, but the compile of CFEngine still failed.

My second idea was that the compiler could be the problem. I deinstalled all compilers except for the gcc compilers. After that the compile of CFEngine stopped with the same error.

I did search the internet on the error message. But the error is to regular to find a good solution.

Does anyone of you have a good idea?

Erik




_______________________________________________
Help-cfengine mailing list
address@hidden
http://lists.gnu.org/mailman/listinfo/help-cfengine






reply via email to

[Prev in Thread] Current Thread [Next in Thread]